Skip to content

Cancel

  • Endpoint: POST /aggregate-pay/api/gateway/cancel
  • Tags: Collection Service/Auth Capture

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.requestIdstringYesMerchant unique id.
data.outTradeNostringYesMerchant order id.

Example

json
"{\n  \"version\": \"1.5\",\n  \"keyVersion\": \"1\",\n  \"requestTime\": \"2024-11-06T11:56:13.000+08:00\",\n  \"appId\": \"8f8b0895b60f41abbdb05405052971c8\",\n  \"merchantNo\": \"P01010114178824\",\n  \"data\": {\n    \"requestId\": \"xxxxx\",\n    \"outTradeNo\": \"xxxxxxxx\",\n  }\n}"

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’
dataobjectYesReturn data body.
data.cancelNostringNomaxLength: 1024PayerMax cancel order id
data.requestIdstringYesMerchant unique id.
data.outTradeNostringYesMerchant order id.
data.statusstringYesCancel status. SUCCESS、FAILED 、PENDING
data.createdTimestringYesCreate time
data.succeededTimestringYesSuccess Time
data.failedTimestringYesFailed Time
data.errorCodestringYesCancel status result description, only has a value when it fails
data.errorMsgstringYesCancel status result code, only has a value when it fails

Response Example

json
{
  "msg": "Success.",
  "code": "APPLY_SUCCESS",
  "data": {
    "cancelNo": "20230806235954ED7856775040587834005",
    "requestId": "xxxxx",
    "outTradeNo": "xxxxxxxx",
    "status": "PENDING",
    "createdTime": "2023-08-06T23:50:59 +0000",
    "succeededTime": null,
    "failedTime": null,
    "errorCode": null,
    "errorMsg": null
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.